Package org.pentaho.reporting.libraries.formula.util

# Class DateUtil

java.lang.Object
org.pentaho.reporting.libraries.formula.util.DateUtil

public class DateUtil extends Object

Author:
  Cedric Pronzato

## Method Summary

Modifier and Type
Method
Description
`static Calendar`
`createCalendar(Date date, LocalizationContext context)`
`static Date`
`createDate(int year, int month, int day, LocalizationContext context)`
`static Date`
`createDateTime(int year, int month, int day, int hour, int minute, int second, LocalizationContext context)`
`static Time`
`createTime(int hour, int minute, int second, LocalizationContext context)`
`static BigDecimal`
`normalizeDate(BigDecimal fromSerialDate, Type toType)`
`static Date`
`normalizeDate(Date fromDate, Type toType)`
Converts a `Date` value according to the requested `Type` to the proper `Date` subclasses (`java.sql.Time`, `java.sql.Date`) if needed.
`static Date`
`normalizeDate(Date fromDate, Type toType, boolean convertSerial)`
`static Date`
`now(LocalizationContext context)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### normalizeDate

public static Date normalizeDate(Date fromDate, Type toType)
Converts a `Date` value according to the requested `Type` to the proper `Date` subclasses (`java.sql.Time`, `java.sql.Date`) if needed. If the requested type is unknown, no conversion takes place and the input date is returned.

Parameters:
  `fromDate` - The date to convert.
  `toType` - The requested type of date.
Returns:
  The converted date.

### normalizeDate

public static Date normalizeDate(Date fromDate, Type toType, boolean convertSerial)

### normalizeDate

public static BigDecimal normalizeDate(BigDecimal fromSerialDate, Type toType)

### now

public static Date now(LocalizationContext context)

### createDateTime

public static Date createDateTime(int year, int month, int day, int hour, int minute, int second, LocalizationContext context)

### createTime

public static Time createTime(int hour, int minute, int second, LocalizationContext context)

### createDate

public static Date createDate(int year, int month, int day, LocalizationContext context)

### createCalendar

public static Calendar createCalendar(Date date, LocalizationContext context)